import { GefestElement } from "../element";

export class GefestI extends GefestElement {
    constructor(content : (GefestElement | string)[] | string) {
        super(content);
    }

    protected wrapHTML (content: string): string {
        const attrString = this.attributesToString();
        return `<i ${attrString}>${content}</i>`;
    }
}